function SCDalgo_template_harness_run(obj)
% run harness and check the result
shot = 100; % shot reference

% set input
input_name = 'input_harness';
input.amplitude = single(1);
input.period = 0.1;
assignin('base',input_name,input)

% load tunable control params from mds
obj.actualizeparameters(shot);

% run sim
result = sim('SCDalgo_template_harness.slx', 'ReturnWorkspaceOutputs', 'on');

% check result
tp = SCDalgo_template_loadtp;
output = result.simout.signal;
assert(max(output.Data) == tp.gain,'Wrong output!');

% check logs
logsout = result.logsout;
signal = logsout.getElement('signal').Values;
assert(max(signal.Data) == input.amplitude,'Wrong input!');

evalin( 'base', sprintf('clear(''%s'')',input_name) ); % clear input in workspace
end
